Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.deployment.jboss
Class ThemeDeployment

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.Deployment
          org.jboss.portal.theme.deployment.jboss.ThemeDeployment

    public class ThemeDeployment

extends Deployment

Deploy the themes contained in a WebApplication.

This deployer scans the archive for /WEB-INF/portal-themes.xml. This file contains the definition of one or more themes. A theme is one, or a set of, css file, and the resources that go with it.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner

Field Summary

Fields inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`mbeanServer, pwa, url`

Constructor Summary
`ThemeDeployment(java.net.URL url, PortalWebApp pwa, javax.management.MBeanServer mbeanServer, ThemeDeploymentFactory factory)`

Method Summary
`void` | `create()` Create all the theme resources that are container in this portal web application.
`void` | `destroy()` Destroy all the theme resources that are contained in this portal web application.

Methods inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`findRepositoryClassLoader, findWEBINFURL, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThemeDeployment

    public ThemeDeployment(java.net.URL url,
                           PortalWebApp pwa,
                           javax.management.MBeanServer mbeanServer,
                           ThemeDeploymentFactory factory)

Method Detail

### create

    public void create()
                throws org.jboss.deployment.DeploymentException

  Create all the theme resources that are container in this portal web application.

  Overrides:
    `create` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException` - if anything goes wrong

### destroy

    public void destroy()
                 throws org.jboss.deployment.DeploymentException

  Destroy all the theme resources that are contained in this portal web application.

  Overrides:
    `destroy` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException` - if anything goes wrong

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD